%define pkgname totem

Name:    %pkgname-xine
License: GPL
URL:     http://www.hadess.net/%pkgname.php3

Version: 2.18.1
Release: alt1

Source: %pkgname-%version.tar.bz2

BuildPreReq: desktop-file-utils iso-codes-devel intltool gnome-icon-theme

# Automatically added by buildreq on Wed Mar 07 2007
BuildRequires: gcc-c++ gcc-fortran GConf glibc-devel-static gnome-doc-utils imake libavahi-glib libdbus-glib-devel libgnome-desktop-devel libhal-devel liblirc-devel libnautilus-devel libxine-devel libXrandr-devel libXtst-devel libXxf86vm-devel packages-info-i18n-common perl-XML-Parser python-modules-compiler python-modules-encodings xorg-cf-files

Summary: Movie player for GNOME 2 (xine backend)
Group: Video
Requires: iso-codes
Provides: %pkgname = %version
Conflicts: %pkgname-gstreamer
%description
Totem is simple movie player for the Gnome desktop.
It features a simple playlist, a full-screen mode, seek and volume
controls, as well as a pretty complete keyboard navigation.

It also includes a thumbnailer for your movie files.

%package -n lib%name
Summary: Shared libraries of the Totem media player
Group: System/Libraries
Provides: lib%pkgname = %version
Conflicts: lib%pkgname-gstreamer
%description -n lib%name
Shared libraries that come with the Totem media player.

%package -n lib%name-devel
Summary: Development files for Totem media player
Group: Development/C
Provides: lib%pkgname-devel = %version
Requires: lib%name = %version-%release
Conflicts: lib%pkgname-gstreamer-devel
%description -n lib%name-devel
Totem is simple movie player for the Gnome desktop based on Xine.
This package provides files needed to build applications using Totem
libraries.

%package nautilus
Summary: Nautilus extension for the Totem media player
Group: Video
Provides: %pkgname-nautilus = %version
Conflicts: %pkgname-gstreamer-nautilus
%description nautilus
This package provides integration with the Totem media player for
the Nautilus file manager.

%package vanity
Summary: Vanity is a webcam utility
Group: Video
Provides: %pkgname-vanity = %version
Conflicts: %pkgname-gstreamer-vanity
%description vanity
Vanity is an utility to view live webcam and upload pictures.
Vanity is a part of Totem (movie player) project.

%prep
%setup -q -n %pkgname-%version

%build
%define _libexecdir %_libdir/%name
%configure \
	--disable-static \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--disable-dependency-tracking \
	--enable-xine \
	--enable-lirc \
	--enable-nautilus \
	--enable-media-player-keys \
	--with-dbus \
	--with-x \
	--enable-nautilus \
	--enable-musicbrainz \
	--enable-vanity \
	--disable-browser-plugins

%make_build

%install
%makeinstall

%find_lang --with-gnome %pkgname

%define schemas %pkgname %pkgname-video-thumbnail %pkgname-handlers

%post
%gconf2_install %schemas
%update_desktopdb

%postun
%clean_desktopdb

%preun
if [ $1 = 0 ]; then
	%gconf2_uninstall %schemas
fi

%post   -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -f %pkgname.lang
%doc AUTHORS ChangeLog NEWS README TODO
%config %_sysconfdir/gconf/schemas/*
%_bindir/*
%_datadir/applications/%pkgname.desktop
%_datadir/pixmaps/*
%_datadir/icons/hicolor/*/*/*.png
%_datadir/icons/hicolor/*/*/*.svg
%_datadir/%pkgname
%_man1dir/*

%exclude %_datadir/pixmaps/vanity.*
%exclude %_datadir/%pkgname/vanity.*
%exclude %_bindir/vanity

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%files nautilus
%_libdir/nautilus/extensions-1.0/*.so*

%files vanity
%_bindir/vanity
%_datadir/applications/vanity.desktop
%_datadir/pixmaps/vanity.*
%_datadir/%pkgname/vanity.*

%changelog
* Wed Apr 04 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.1-alt1
- 2.18.1

* Mon Mar 12 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.18.0-alt0.1
- 2.18.0

* Wed Mar 07 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.17.92-alt0.1
- 2.17.92 (!!!WARNING!!! this is an experimental build)

* Fri Feb 02 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.5-alt1
- 2.16.5

* Thu Nov 30 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt2
- Provides virtual totem-* packages
- Conflicts with *totem-gstreamer-*

* Wed Nov 29 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt1
- 2.16.4
- Add conflicts with libtotem* into libtotem-xine*

* Mon Nov 27 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.3-alt2
- 2.16.3

* Mon Oct 09 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.2-alt2
- 2.16.2

* Wed Oct 04 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt2
- separate lib* subpackages

* Fri Sep 08 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt1
- 2.16.1

* Tue Aug 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.4-alt1
- 1.4.4

* Mon May 15 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.1-alt1
- 1.4.1

* Thu Apr 20 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.4.0-alt1
- 1.4.0

* Wed Apr 19 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt4
- Spec cleanup

* Tue Mar 14 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt3
- ChangeLog corrected

* Tue Mar 07 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt2
- Disable --as-needed flag for linker

* Wed Dec 21 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.1-alt1
- 1.2.1
- build vanity utility
- remove freedesktop.pl menus

* Fri Oct 14 2005 Sergey N. Yatskevich <syatskevich@altlinux.ru> 1.2.0-alt2
- repackage with xine backend

* Sat Sep 10 2005 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.0-alt1
- 1.2.0
- Resurrected devel
- Separate binary package for nautilus extensions
- Added dependency on gstreamer-subtitle

* Sat Jul 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.4-alt1.1
- rebuild with new libnautilus-burn.so.1 .

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.4-alt1
- 1.0.4

* Mon Jun 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sat Apr 30 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Tue Mar 22 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1
- move vanity to separate subpackage (close #6269) and do not build it by default.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.0-alt1
- 1.0

* Thu Jan 27 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.101-alt0.6
- 0.101.

* Tue Jan 04 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.100-alt0.5
- 0.100.

* Sat Nov 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.22-alt0.5
- 0.99.22

* Fri Oct 29 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.99.20-alt0.5
- 0.99.20

* Mon Jun 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.1-alt0.5
- 0.99.1
- summary, description by avp.

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.99.0-alt0.5
- First build for Sisyphus.
